/**
 *
 */
package de.intevation.gnv.transition;
/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultInputValue implements InputValue {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8518824299166180986L;
    private String name = null;
    private String type = null;
    private boolean multiselect = false;
    private int usedInQueries = 1;
    
    
    /**
     * Constructor
     */
    public DefaultInputValue(String name, String type, boolean multiselect, int usedInQueries){
        this.name = name;
        this.type = type;
        this.multiselect = multiselect;
        this.usedInQueries = usedInQueries;
    }

    /**
     * @see de.intevation.gnv.transition.InputValue#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.transition.InputValue#getType()
     */
    public String getType() {
        return this.type;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "InputValue "+this.name+" ==> "+this.type+ "==> multiselect: "+this.multiselect;
    }

    /**
     * @see de.intevation.gnv.transition.InputValue#isMultiselect()
     */
    public boolean isMultiselect() {
        return this.multiselect;
    }

    public int usedInQueries() {
        return this.usedInQueries;
    }

}
